//$(document).ready(startStyles);
function startStyles() {
    $(".sections").click(setActive);
    $("#display-menu").click(toggleOptions);
    $("#menu").click(toggleMenu);
    document.addEventListener("menubutton", toggleMenu, false);
    document.addEventListener("backbutton", back, true);
    $('html').click( function (){
        hideMenu();
        $("#search-div").hide();
    });            
    $("#menu").click(function(event){
        event.stopPropagation();
         $("#search-div").hide();
    });          
    $(".search-option").click(function(event){
        event.stopPropagation();
        hideMenu();
    });
    //$('body').ready(function (){$("#scroll-bar").css("height", $('body').height());})
    if (window.androidVersion < 2.4) {
        $("#menu-lateral").css('display', 'none');
        $("#menu-lateral").css("margin-left", "0px");
    }
        
}

function setActive(event) {
    if ($(this).attr('id') =='suscribe-button') {
        window.open('http://www.crhoy.com/constant-contact/dos.php', '_system');
        event.stopPropagation();
        return ;
    };
    if(!$(this).hasClass('active')) {
        $(".showing").fadeOut();
        $(".showing").removeClass('showing');
        //unset active option
        cleanActive();
        //set this as active
        $(this).addClass('active');
        $(this).css('color', "#b8d4fb");
        img = $("img", this);
        img.attr('src', img.attr('src').replace(".png", "-focus.png"));
    }
}
function showFeaturedNews() {
    $(".showing").hide();
    $(".showing").removeClass('showing');
    $("#featured-news").fadeIn();
    $("#featured-news").addClass('showing');
    $("#scroll-bar").hide();
    cleanSingle();
}
function showRecentNews() {
    $(".showing").hide();
    $(".showing").removeClass('showing');
    $("#recent-news").fadeIn();
    $("#recent-news").addClass('showing');
    $("#scroll-bar").hide();
    cleanSingle();
}
function showHome() {
    $("#post-div").hide();
    $(".showing").hide();
    $(".showing").removeClass('showing');
    $("#home-news").fadeIn();
    $("#home-news").addClass('showing');
    $("#scroll-bar").show();
    cleanSingle();
}
function showSuscribe() {
    return;
    $(".showing").hide();
    $(".showing").removeClass('showing');
    $("#suscribe").fadeIn();
    $("#suscribe").addClass('showing');
    $("#scroll-bar").hide();
    cleanSingle();
}
function showCategory() {
    $(".showing").hide();
    $(".showing").removeClass('showing');
    $("#category-news").fadeIn();
    $("#category-news").addClass('showing');
    $("#scroll-bar").hide();
    cleanSingle();
}
function showTag() {
    $(".showing").hide();
    $(".showing").removeClass('showing');
    $("#tag-news").fadeIn();
    $("#tag-news").addClass('showing');
    $("#scroll-bar").hide();
    cleanSingle();
}

function showSingle() {
    $(".showing").hide();
    $(".showing").removeClass('showing');
    $("#post-div").fadeIn();
    $("#post-div").addClass('showing');
    $("#scroll-bar").hide();
}
function showSearchResults() {
    $("body").css("min-height", "0");
    $(".showing").hide();
    $(".showing").removeClass('showing');
    $("#search-results").fadeIn();
    $("#search-results").addClass('showing');
    $("#scroll-bar").hide();
    cleanSingle();
}
function toggleOptions() {
    $("#div-options").toggle();
}
function toggleMenu() {
    if($("#menu").hasClass('menu-on')) {
        if (window.androidVersion < 2.4) {
            $("#menu-lateral").hide('fade');
        } else {
            $("#menu-lateral").stop(true).animate({margin:'0px 0px 0px -560px'}, 700);//.hide('fade');//
        }        
        $("#menu").removeClass('menu-on');
    } else {
        if (window.androidVersion < 2.4) {
            $("#menu-lateral").show('fade');
        } else {
            $("#menu-lateral").stop(true).animate({margin:'0px 0px 0px 0px'});//.show('fade');
        } 
        $("#menu").addClass('menu-on');
    }
}
function hideMenu() {
    if (window.androidVersion < 2.4) {
            $("#menu-lateral").hide('fade');
        } else {
            $("#menu-lateral").stop(true).animate({margin:'0px 0px 0px -560px'}, 700);//.hide('fade');//
        } 
        
        $("#menu").removeClass('menu-on');
}
function backFunction() {
    if ($("#menu").hasClass('menu-on')) {
        if (window.androidVersion < 2.4) {
            $("#menu-lateral").hide('fade');
        } else {
            $("#menu-lateral").animate({margin:'0px 0px 0px -560px'}, 700);
        } 
        
        $("#menu").removeClass('menu-on');
    } else if ($(".showing").attr("id") !== "home-news") {
        img = $(".active img"); 
        img.attr('src', img.attr('src').replace("-focus", ""));
        $(".active").css('color', "rgb(255, 255, 255)");
        $(".active").removeClass("active");
        $("#home").addClass('active');
        $(".showing").fadeOut();
        $(".showing").removeClass('showing');
        $("#home").addClass('active');
        $("#home").css('color', "#b8d4fb");
        img = $("img", $("#home"));
        img.attr('src', img.attr('src').replace(".png", "-focus.png"));
        showHome();
    } else {
        closeApp();
    }
    
}
function cleanSingle() {
    $("#info-single").html("");
    $("#featured-img").html("");
    $("#single-contenido").html("");
    $("#player-container").html("");
}
function cleanActive() {
    //unset active option
        $(".active").css('color', "rgb(255, 255, 255)");
        img = $(".active img"); 
        img.attr('src', img.attr('src').replace("-focus", ""));
        $(".active").removeClass("active");
}
